WESNOTHD(6)

NOMBRE
wesnothd - Demonio para juego en red multijugador de la batalla por Wesnoth

SINOPSIS
wesnothd [-dv] [-c ruta] [-p puerto] [-t número] [-T número]
wesnothd -V

DESCRIPCIÓN
Administra juegos multijugador de la batalla por Wesnoth. Vea http://www.wesnoth.org/wiki/ServerAdministration para saber que órdenes acepta el servidor a través del cliente de wesnoth (/query) o del FIFO.

OPCIONES

-c ruta, --config ruta
    indica a wesnothd donde encontrar el archivo de configuración que debe usar. Vea la sección SERVER CONFIG más abajo para conocer la sintaxis. PUedes recargar la configuración enviando SIGHUP al proceso del servidor.

-d, --daemon
    ejecuta wesnothd como demonio.

-h, --help
    muestra las opciones de línea de órdenes.

--log-level=domain1,domain2,...
    establece el nivel de gravedad de los dominios de depuración. all puede usarse para seleccionar todos los dominios. Niveles disponibles: error,warning, info, debug. Por defecto el nivel error es usado y el nivel info para el dominio server.

-p puerto, --port puerto
    conecta al servidor al puerto especificado. Si no se especifica ningún puerto, se usará el puerto 15000.

-t número, --threads número
    establece el número máximo de hilos efectivos en espera para la entrada y salida de red a n (por defecto: 5, máximo: 30).

-T número, --max-threads número
    establece el número máximo de hilos efectivos que se crearán, si se establece a 0 no habrá ningún límite (por defecto: 0).

-V, --version
    muestra el número de versión y finaliza.

-v, --verbose
    activa el registro de depuración

CONFIGURACIÓN DEL SERVIDOR

  La sintaxis general es:

[etiqueta]

    atributo="valor"

    atributo="valor,valor,..."

[/etiqueta]

  Atributos globales:

ban_save_file
    Ruta completa o relativa a un archivo (comprimido con gzip) que el servidor pueda leer y escribir. Las denegaciones de acceso serán almacenadas en este archivo y leídas nuevamente al iniciar el servidor.

connections_allowed
    El número máximo de conexiones permitidas desde la misma IP. 0 significa infinito. (por defecto: 5)

disallow_names
    Nombres o apodos que no están permitidos por el servidor. `*' y `?' pueden usarse como comodín. Vea glob(7) para más detalles. Los valores por defecto (usados si no se especifica nada) son: *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

fifo_path
    La ruta al FIFO por el cual puede enviarle comandos al servidor (equivalente a /query ... desde Wesnoth). Si no está especificada, se utiliza el valor especificado al compilar el servidor (predeterminado: /var/run/socket/wesnothd/socket).

max_messages
    El número de mensajes permitidos en un lapso de tiempo definido por messages_time_period. (por defecto: 4)

messages_time_period
    El lapso de tiempo (en segundos) usado para detectar una inundación de mensajes. (por defecto: 10 segundos)

motd
    El mensaje del día.

passwd
    La contraseña utilizada para obtener privilegios de administrador. Habitualmente empieza por `admin '.

replay_save_path
    El directorio donde el servidor almacena repeticiones de partidas. (¡No olvide el '/' al final!) De forma predeterminada es `' (vacío), es decir, el directorio donde wesnothd fue inicializado.

restart_command
    El comando que utiliza el servidor para iniciar un nuevo proceso a través del comando `restart'. (Sólo puede ser enviado a través del FIFO.)

save_replays
    Define si el servidor almacenará automáticamente las repeticiones de las partidas. (predeterminado: false)

versions_accepted
    Una lista separada por comas de cadenas de versión que serán admitidas por el servidor. `*' y `?' pueden usarse como comodín. (por defecto es la versión de wesnoth correspondiente)
    Ejemplo: versions_accepted="*" acepta cualquier cadena de versión.

user_handler
    El nombre del manejador de usuarios que utilizar. Los manejadores actualmente disponibles son 'forum' (para conectar wesnothd a una base de datos de foros phpBB) y 'sample' (una implementación de muestra de la interfaz del manejador, no es para utilizarlo en casos reales). El valor predeterminado es 'forum'. También debe agregar una sección [user_handler], vea abajo.

  Etiquetas globales:

[redirect] Una etiqueta para especificar un servidor al que se redirigirán ciertas versiones de clientes.

    host
        La dirección del servidor hacia el que se hará la redirección.

    port
        El puerto al que se hará la conexión.

    version
        Una lista separada por comas de las versiones a redirigir. Se usa la misma sintaxis que para versions_accepted en lo relativo a comodines.

[ban_time] Una etiqueta para definir palabras claves convenientes como sinónimos de duraciones de denegaciones.

    name
        El nombre utilizado para hacer referencia al tiempo de denegación.

    time
        La definición del intervalo de tiempo. El formato es: %d[%s[%d%s[...]]], donde %s es s (segundos), m (minutos), h (horas), D (días), M (meses) o Y (años) y %d es un número. Si no se especifica un modificador de tiempo, se asumen minutos (m). Ejemplo: time="1D12h30m" resulta en un acceso denegado por un día, 12 horas y 30 minutos.

[proxy] Una etiqueta para indicar al servidor que actúe como proxy y reenvíe las peticiones de los clientes conectados al servidor especificado. Acepta los mismos atributos que [redirect].

[user_handler] Configura el manejador de usuarios. Los atributos disponibles varían según el manejador seleccionado con el atributo user_handler. Si no hay una sección [user_handler] presente en la configuración, el servidor funcionará sin ningún servicio de registro de usuarios.

    db_host
        (para user_handler=forum) El nombre de host del servidor de la base de datos

    db_name
        (para user_handler=forum) El nombre de la base de datos

    db_user
        (para user_handler=forum) El nombre del usuario para iniciar sesión en la base de datos

    db_password
        (para user_handler=forum) La contraseña de este usuario

    db_users_table
        (para user_handler=forum) El nombre de la tabla en que su foro phpBB almacena los datos de sus usuarios. Probablemente sea <table-prefix>_users (e.g. phpbb3_users).

    db_extra_table
        (para user_handler=forum) El nombre de la tabla en que wesnothd almacenará sus propios datos sobre los usuarios. Tendrá que crear esta tabla manualmente, por ejemplo: CREATE TABLE <table-name>(username VARCHAR(255) PRIMARY KEY user_lastvisit INT UNSIGNED NOT NULL DEFAULT 0, user_is_moderator TINYINT(4) NOT NULL DEFAULT 0);

    user_expiration
        (para user_handler=sample) El tiempo tras el cual un nombre de usuario registrado expira (en días).

[mail] Configura un servidor SMTP a través del cual el manejador de usuarios (user handler) puede enviar correos electrónicos. Por ahora sólo es utilizado por el manejador de usuarios de muestra (sample).

    server
        El nombre del host del servidor de correos

    username
        El nombre de usuario utilizado para iniciar sesión en el servidor de correos.

    password
        La contraseña de este usuario.

    from_address
        La dirección de respuesta (reply-to) de su correo.

    mail_port
        El puerto en que su servidor de correos trabaja. El predeterminado es 25.

AUTOR
Escrito por David White <davidnwhite@verizon.net>. Editado por Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net>, Soliton <soliton.de@gmail.com> y Thomas Baumhauer <thomas.baumhauer@gmail.com>. Esta página de manual fue originalmente escrita por Cyril Bouthors <cyril@bouthors.org>.
Visite la página web oficial: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Esto es Software Libre; este software está licenciado bajo la GPL versión 2, tal y como ha sido publicada por la Free Software Foundation. No existe NINGUNA garantía; ni siquiera para SU USO COMERCIAL o ADECUACIÓN A UN PROPÓSITO PARTICULAR.

VÉASE TAMBIÉN
wesnoth(6), wesnoth_editor(6)